Bug 38205 - ports/net/ntp - update to 4.1.1a
Summary: ports/net/ntp - update to 4.1.1a
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-17 21:00 UTC by jharris
Modified: 2002-05-21 03:20 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2002-05-17 21:00:07 UTC
	update ntp from 4.1.72 to 4.1.1a

Fix: -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
NotDashEscaped: You need GnuPG to verify this message

cvs server: Diffing .


iD8DBQE85V7SSypIl9OdoOMRAtYmAJ4/kyWRS4txWEKfPuQNiiFwuddR+QCgymfk
7p3mis1N2RzrEQYv2MhsXEM=
=cClr
-----END PGP SIGNATURE-------S2vuUwuWAPiLqvSp0rWnbiEet61I3ajxzeaUGrEPRzzt9Io2
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/net/ntp/Makefile,v
retrieving revision 1.25
diff -u -r1.25 Makefile
--- Makefile	2001/12/30 04:48:07	1.25
+++ Makefile	2002/05/17 19:48:54
@@ -6,10 +6,14 @@
 #
 
 PORTNAME=	ntp
-PORTVERSION=	4.1.72
+PORTVERSION=	4.1.1a
 CATEGORIES=	net
 MASTER_SITES=	ftp://ftp.udel.edu/pub/ntp/ntp4/ \
-		http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/
+		http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ \
+		ftp://ftp.archive.de.uu.net/pub/unix/ntp/ntp4/ \
+		ftp://ftp.digex.net/pub/packages/network/ntp/ntp4/ \
+		ftp://ftp.netlab.is.tsukuba.ac.jp/pub/network/ntp/ntp4/ \
+		ftp://uiarchive.cso.uiuc.edu/pub/ftp/ftp.udel.edu/pub/ntp/ntp4/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S/.r/-rc/}
 
 MAINTAINER=	cy@FreeBSD.org
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/net/ntp/distinfo,v
retrieving revision 1.13
diff -u -r1.13 distinfo
--- distinfo	2001/12/30 04:48:07	1.13
+++ distinfo	2002/05/17 19:48:54
@@ -1 +1 @@
-MD5 (ntp-4.1.72.tar.gz) = de9ed6a28f4c4ffea932a49db5b745fa
+MD5 (ntp-4.1.1a.tar.gz) = 884c8d90f62bf3de0a464f755a8409a4
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/net/ntp/pkg-plist,v
retrieving revision 1.13
diff -u -r1.13 pkg-plist
--- pkg-plist	2001/12/30 04:48:07	1.13
+++ pkg-plist	2002/05/17 19:48:55
@@ -1,4 +1,4 @@
-bin/genkeys
+bin/ntp-genkeys
 bin/ntpd
 bin/ntpdate
 bin/ntpdc
@@ -47,6 +47,7 @@
 %%PORTDOCS%%share/doc/ntp/driver38.htm
 %%PORTDOCS%%share/doc/ntp/driver39.htm
 %%PORTDOCS%%share/doc/ntp/driver40.htm
+%%PORTDOCS%%share/doc/ntp/driver42.html
 %%PORTDOCS%%share/doc/ntp/driver4.htm
 %%PORTDOCS%%share/doc/ntp/driver5.htm
 %%PORTDOCS%%share/doc/ntp/driver6.htm
@@ -157,7 +158,6 @@
 %%PORTDOCS%%share/doc/ntp/pic/radio2.jpg
 %%PORTDOCS%%share/doc/ntp/pic/sheepb.jpg
 %%PORTDOCS%%share/doc/ntp/pic/stack1a.jpg
-%%PORTDOCS%%share/doc/ntp/pic/thumbs.db
 %%PORTDOCS%%share/doc/ntp/pic/tonea.gif
 %%PORTDOCS%%share/doc/ntp/pic/wingdorothy.gif
 %%PORTDOCS%%share/doc/ntp/porting.htm
@@ -168,7 +168,6 @@
 %%PORTDOCS%%share/doc/ntp/rdebug.htm
 %%PORTDOCS%%share/doc/ntp/refclock.htm
 %%PORTDOCS%%share/doc/ntp/release.htm
-%%PORTDOCS%%share/doc/ntp/thumbs.db
 %%PORTDOCS%%share/doc/ntp/tickadj.htm
 %%PORTDOCS%%@dirrm share/doc/ntp/pic
 %%PORTDOCS%%@dirrm share/doc/ntp/hints
cvs server: Diffing files
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (FreeBSD)
How-To-Repeat: 
	apply patch below
Comment 1 Cy Schubert 2002-05-17 23:44:59 UTC
In message <200205171953.g4HJrlt01797@pm1-03.lft.widomaker.com>, Jason 
Harris w
rites:

The NTP port is currently tracking the development branch, currently at 
4.1.72, which is more recent, feature-wise, than 4.1.1a.  (4.1.72 
contains all of the bugfixes that 4.1.1a has.)  I intend to have ntp 
repo-copied to ntp-devel, which will continue to track the NTP 
development branch, while ntp will track the production branch.


Cheers,                          Phone:  250-387-8437
Cy Schubert                        Fax:  250-387-5766
Team Leader, Sun/Alpha Team      Email:  Cy.Schubert@osg.gov.bc.ca
Open Systems Group, CITS
Ministry of Management Services
Province of BC            
                    FreeBSD UNIX:  cy@FreeBSD.org
Comment 2 Cy Schubert freebsd_committer 2002-05-17 23:47:07 UTC
State Changed
From-To: open->suspended

This PR would actually downgrade the port.  I've sent a note to cvs@ to 
repocopy net/ntp to net/ntp-devel.  I will apply this patch to ntp, which 
will track the production branch while ntp-devel will track the development 
branch. 


Comment 3 Cy Schubert freebsd_committer 2002-05-17 23:47:07 UTC
Responsible Changed
From-To: freebsd-ports->cy

Assiging to me (maintainer).
Comment 4 jharris 2002-05-18 00:51:16 UTC
On Fri, May 17, 2002 at 03:44:59PM -0700, Cy Schubert - CITS Open Systems Group wrote:
> In message <200205171953.g4HJrlt01797@pm1-03.lft.widomaker.com>, Jason 
> Harris w
> rites:
> 
> The NTP port is currently tracking the development branch, currently at 
> 4.1.72, which is more recent, feature-wise, than 4.1.1a.  (4.1.72 


The bk ntp-dev branch is tagged "ntp-stable NTP_4_1_1" at version
1.683.6.1, 12 weeks ago, and tagged "ntp-dev NTP_4_1_72" at version
1.762, 5 months ago.  (The bk ntp-stable branch shares the
"ntp-stable NTP_4_1_1" tag from 12 weeks ago.)

Neither branch has a tag for 4.1.1a, but my executable reports
"ntpd 4.1.1a@1.791" in the syslog messages.  Changeset 1.791 is
different for both branches, however.

There was no annoucement of 4.1.1a to the newsgroup either, although
it is displayed on the website as a "production" release.  This is
highly confusing...

> contains all of the bugfixes that 4.1.1a has.)  I intend to have ntp 
> repo-copied to ntp-devel, which will continue to track the NTP 
> development branch, while ntp will track the production branch.


OK.

-- 
Jason Harris          | NIC:  JH329, PGP:  This _is_ PGP-signed, isn't it?
jharris@widomaker.com | web:  http://jharris.cjb.net/
Comment 5 Cy Schubert freebsd_committer 2002-05-21 03:14:14 UTC
State Changed
From-To: suspended->closed

NTP 4.1.72 is now tracked by the ntp-devel port.  NTP 4.1.1a 
is now tracked by the ntp port.  This split had been planned for 
a  month, however now that a PR requesting the split was made, 
I decided to go ahead with it now rather than later. 

Thank you for contributing the patch.